Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.conf
Class Specification

    java.lang.Object
      org.apache.openjpa.conf.Specification

    public class Specification

extends Object

An immutable representation of a Specification supported by OpenJPA. Available via OpenJPAConfiguration.getSpecificationInstance()() for configuration that may depend on Specification version.

Author:
  Pinaki Poddar

Constructor Summary
`Specification(String fullName)` Construct from a String that encodes name and version fields.

Method Summary
`int` | `compareVersion(Specification other)` Compares major version number of the given Specification with this receiver.
`boolean` | `equals(Object other)` Affirms if the given argument is equal to this receiver.
`Compatibility` | `getCompatibility()` Return the compatibility object associated with this Specification instance.
`String` | `getDescription()`
`String` | `getMinorVersion()`
`String` | `getName()`
`int` | `getVersion()`
`boolean` | `isSame(Specification other)` Affirms if the given specification has the same name of this receiver, ignoring the case.
`boolean` | `isSame(String other)` Affirms if the given string equals name of this receiver, ignoring the case.
`void` | `setCompatibility(Compatibility compatibility)` Associate a compatibility object with this Specification instance
`Specification` | `setDescription(String description)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Specification

    public Specification(String fullName)

  Construct from a String that encodes name and version fields.

  Parameters:
    `fullName` - a encoded string in the following prescribed format. `name major.minor` e.g. `JPA 2.0-draft` Only the 'name' field is mandatory. 'major' version defaults to 1 and must be an integer. 'minor' version defaults to 0 and can be a String.

Method Detail

### getName

    public String getName()

### getVersion

    public int getVersion()

### getMinorVersion

    public String getMinorVersion()

### getDescription

    public String getDescription()

### setDescription

    public Specification setDescription(String description)

### equals

    public boolean equals(Object other)

  Affirms if the given argument is equal to this receiver.

  Overrides:
    `equals` in class `Object`

### isSame

    public boolean isSame(Specification other)

  Affirms if the given specification has the same name of this receiver, ignoring the case.

### isSame

    public boolean isSame(String other)

  Affirms if the given string equals name of this receiver, ignoring the case.

### compareVersion

    public int compareVersion(Specification other)

  Compares major version number of the given Specification with this receiver.

  Returns:
    0 if they are equal. > 0 if this receiver is higher version. < 0 if this receiver is lower version.

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### setCompatibility

    public void setCompatibility(Compatibility compatibility)

  Associate a compatibility object with this Specification instance

  Parameters:
    `compatibility` - a Compatibility object with flags set in compliance with this Specification instance.

### getCompatibility

    public Compatibility getCompatibility()

  Return the compatibility object associated with this Specification instance.

  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.